Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.nio
Class SelectChannelConnector.ConnectorEndPoint

    java.lang.Object
      org.mortbay.io.nio.ChannelEndPoint
          org.mortbay.io.nio.SelectChannelEndPoint
              org.mortbay.jetty.nio.SelectChannelConnector.ConnectorEndPoint

All Implemented Interfaces:
  java.lang.Runnable, EndPoint

Direct Known Subclasses:
  SslHttpChannelEndPoint

Enclosing class:
  SelectChannelConnector

    public static class SelectChannelConnector.ConnectorEndPoint

extends SelectChannelEndPoint

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.io.nio.SelectChannelEndPoint
`SelectChannelEndPoint.IdleTask`

Field Summary

Fields inherited from class org.mortbay.io.nio.SelectChannelEndPoint
`_connection, _dispatched, _interestOps, _key, _manager, _readBlocked, _selectSet, _writable, _writeBlocked`

Fields inherited from class org.mortbay.io.nio.ChannelEndPoint
`_channel, _gather2, _local, _remote, _socket`

Constructor Summary
`SelectChannelConnector.ConnectorEndPoint(java.nio.channels.SocketChannel channel, SelectorManager.SelectSet selectSet, java.nio.channels.SelectionKey key)`

Method Summary
`void` | `close()` Close any backing stream associated with the buffer
`void` | `undispatch()` Called when a dispatched thread is no longer handling the endpoint.

Methods inherited from class org.mortbay.io.nio.SelectChannelEndPoint
`blockReadable, blockWritable, cancelIdle, dispatch, flush, flush, getConnection, getSelectSet, getTimeoutTask, idleExpired, run, scheduleIdle, scheduleWrite, setWritable, toString`

Methods inherited from class org.mortbay.io.nio.ChannelEndPoint
`fill, flush, getChannel, getLocalAddr, getLocalHost, getLocalPort, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isOpen, shutdownOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectChannelConnector.ConnectorEndPoint

    public SelectChannelConnector.ConnectorEndPoint(java.nio.channels.SocketChannel channel,
                                                    SelectorManager.SelectSet selectSet,
                                                    java.nio.channels.SelectionKey key)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `EndPoint`
  Close any backing stream associated with the buffer

  Specified by:
    `close` in interface `EndPoint`
  Overrides:
    `close` in class `SelectChannelEndPoint`
  Throws:
    `java.io.IOException`

### undispatch

    public void undispatch()

  Description copied from class: `SelectChannelEndPoint`
  Called when a dispatched thread is no longer handling the endpoint. The selection key operations are updated.

  Overrides:
    `undispatch` in class `SelectChannelEndPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.